%let name=tar_heel_traveler;
filename odsout '.';

/*
Map showing locations of WRAL TV5 Tar Heel Traveler stories.
http://www.wral.com/lifestyles/travel/asset_gallery/3337071/

I use the following table to look up zip codes (I typically use the first 
zip code listed for the given city)...
http://www.mongabay.com/igapo/zip_codes/NC.htm
*/

%let origin=27606;

/*
In the data below, the first number is a zipcode - not necessarily the "exact"
zipcode of the story, but just a zipcode in the city the story is from (the 
latitude/longitude and city name is looked up in sashelp.zipcode).
The 2nd number is the last part of the web url on WRAL's website, for 
the video.
*/
data raw_data;
infile datalines pad truncover;
input mmm $ 1-3 yyyy $ 4-7 dest_zip wralvid story_name $ 24-100;
origin_zip=&origin;
distance=zipcitydistance(&origin,dest_zip);
/* this end of the list is the newest stories */
datalines;
jan2014 27601 13265890 Sprouting energy and inspiration for nearly 40 years
jan2014 27292 13276242 Lexington candy store is pure, sweet nostalgia
jan2014 28201 13280063 Cashier is 'queen' of Queens University of Charlotte
jan2014 28025 13283407 Tasty dishes are no tall order for Concord chef
jan2014 27530 13286768 Goldsboro twin EMS workers offer double the comfort for patients
jan2014 27576 13295704 Selma basket-weavers teach tradition across the globe
jan2014 28557 13298911 Canoe builder makes something new out of the very old
jan2014 27801 13302747 A coastal artist far from the coast
jan2014 28557 13305251 Beach artist has keen eye for detail
jan2014 28394 13313706 Living beyond the century mark
jan2014 27893 13315751 Photographer of famous faces turns lens toward Wilson
jan2014 27601 13320085 If it's Sunday, Big John Ruth is on the radio in Raleigh
jan2014 27237 13323610 Haire combines his two passions into a great career 
jan2014 28338 13331316 Ellerbe museum holds treasures from around the world
jan2014 27306 13346050 Mysterious mounds draw visitors to Montgomery County
dec2013 28365 11894792 New Year's pickle drop another unique NC tradition 
dec2013 27601 13248377 Raleigh jewelry maker's work makes him stronger
dec2013 27543 13245978 In Kipling, giant cross draws the eye and heart
dec2013 27401 13244120 For 24 years, holiday card helps the homeless 
dec2013 27601 13234432 Cheese straws attract celeb fans
dec2013 27203 13230139 Asheboro museum lands Wright plane 
dec2013 28025 13226107 Track alight for holidays 
dec2013 27601 13223059 Santa's book a true gift 
dec2013 27557 13211252 Middlesex house a-blink with holiday lights 
dec2013 27601 13207440 State Farmers Market carries on tradition of Christmas tree sales 
dec2013 28031 13199044 'Normy' haunts waters of Charlotte-area lake 
dec2013 27601 13198427 Model trains let Raleigh man ride rails in mind 
dec2013 27508 13187364 Bunn's Barbecue long on flavor and history 
dec2013 27549 13182867 Mechanic-inspired sauce is 'fuel for your barbecue' 
dec2013 27530 13178515 Goldsboro couple married 80 years 
nov2013 27882 13162919 Collards are symbolic for Spring Hope church
nov2013 27924 13159325 In Bertie County, Thanksgiving smells like fish 
nov2013 27882 13154979 Thanksgiving a sweet time for Nash County potato farmer 
nov2013 27601 13140934 Christmas parade a 'labor of love' for Raleigh man 
nov2013 27589 13136519 Warren County marching band achieves incredible accolades 
nov2013 27601 13131900 CAM exhibit's docents are middle school students 
nov2013 28144 13127941 Marilyn Monroe's Salisbury connection 
nov2013 27549 13113177 Remembering a friend: Louisburg man among athletes who died in '70 plane crash 
nov2013 27601 13108726 Raleigh man was part of iconic Village People 
nov2013 27801 13104196 Relatives want to build tribute to Thelonious Monk in Rocky Mount 
nov2013 28398 13100318 Duplin County town has oldest Veterans Day tradition 
nov2013 27601 13087704 Raleigh man's book shares story of losing wife, raising daughters 
nov2013 28557 13083412 Morehead City eatery memorable for unusual name (Sanitary)
nov2013 27601 13079365 Clyde Cooper's Barbecue celebrates 75 years 
nov2013 27278 13075294 Hillsborough company is largest importer of Italian home, garden goods 
oct2013 28712 13061304 Brevard athletes make most of mountain location
oct2013 27870 13056962 Dollar man is Roanoke Rapids celeb
oct2013 28712 13052579 Byers is bluegrass ambassador
oct2013 27601 13047709 Politicians make case at NC State Fair
oct2013 27601 13056731 'Maw' paints to preserve stories 
oct2013 27601 13034978 Tobacco-tying contest a State Fair tradition 
oct2013 27601 13030542 Historic loom on display at State Fair
oct2013 27601 13026237 'Biscuit Lady' remembered at State Fair 
oct2013 27601 13021666 Raleigh man's moss is his passion
oct2013 27601 13013164 Quilt shows state fair story 
oct2013 28020 13004761 NC's own 'Big Foot' reported in western town
oct2013 28516 12999772 Painter stumbles on ghostly coincidence in Beaufort 
oct2013 27601 12994397 Deep-fried heaven: 2013 NC State Fair
oct2013 27577 12983292 Bootlegger's life, secrets subject of son's book 
oct2013 27601 12979242 Scotland trip inspires Bill Leslie's new album
oct2013 27701 12974240 Durham man with cancer launches website for cure
oct2013 27589 12970434 Birdhouse builders help bluebirds rebound in Warrenton 
oct2013 27511 12957265 Grass Cats perform monthly free concert in Cary 
oct2013 27601 12952883 Widow releases CD of late husband's music 
oct2013 28712 12948424 Woman rehabs Brevard's white squirrels 
sep2013 27601 12943575 Former dressmaker sews beads into art 
sep2013 28753 12930177 NC ballad singer receives nation's highest folk honor
sep2013 28712 12925698 Brevard band joins Steve Martin at Wide Open Bluegrass
sep2013 28714 12921067 Burnsville man behind famous country songs
sep2013 28201 12917327 Charlotte girl is fiddle phenom
sep2013 28081 12905457 Earl Scruggs made bluegrass history
sep2013 27313 12901608 NC's bluegrass queen strums the unusual dobro
sep2013 28712 12897793 Video gives Brevard band its big break 
sep2013 28144 12893278 New TV show 'Sleepy Hollow' filmed in NC
sep2013 27360 12881291 Accomplished fiddle player runs repair shop in Thomasville
sep2013 28315 12877627 Granny's Donuts is Aberdeen favorite
sep2013 28768 12873482 Wood carver's works tell stories of mountain people
sep2013 28693 12868900 Bluegrass music runs in Ashe County family
sep2013 27325 12860201 Robbins man finds peace on a porch swing
sep2013 27601 12855794 Colorful koi fish are Raleigh couple's 'wet pets'
sep2013 24333 12852106 Bluegrass center houses roots of American music
sep2013 27601 12848007 Message in a bottle, and the mail that follows
aug2013 27601 12834169 Raleigh woman creates kids newspaper section in 1969
aug2013 28625 12824245 Legend says ghost train rumbles through Statesville
aug2013 28768 12820148 Dolly's Dairy Bar serves summer camp treats
aug2013 27601 12807837 Raleigh Shakespeare performance has a twang
aug2013 27601 12803198 Raleigh calligrapher creates art in garage studio
aug2013 27228 12798467 The beauty of metal art in Pittsboro
aug2013 28315 12794244 Alamance to Yancey: He walks (and poses) the line
aug2013 27968 12781826 Heroes of 1918 tanker wreck still remembered
aug2013 27237 12777113 Since 1935, Sanford shop serves ice cream, burgers
aug2013 27522 12768102 Lightning strike killed four Creedmoor sisters
aug2013 28461 12757378 Bald Head attracts croquet players from across globe
aug2013 28746 12752999 Lake Lure played scenic backdrop to 'Dirty Dancing'
aug2013 28401 12748176 Wizard of Wilmington spends life entertaining
aug2013 27502 12743656 Catfish eat tomatoes at Chatham farm
aug2013 27601 12732125 Parrot celebrates birthday at Raleigh eatery
jul2013 27601 12727532 Raleigh home to national cribbage tourney
jul2013 27921 12722642 By boat or by car, visitors stop at Dismal Swamp
jul2013 28334 12717267 Loyal staff, customers keep Dunn steakhouse open
jul2013 28461 12704842 Ghost plays pranks at Southport inn 
jul2013 28461 12700460 Old Baldy is enduring symbol of NC
jul2013 27524 12695690 Four Oaks man follows auctioneering dream
jul2013 28334 12690968 Beloved stray dog missing in Harnett County
jul2013 28461 12679293 Ghostly vision conjures up American history
jul2013 28720 12674861 Mountains inspire Chimney Rock musician
jul2013 28461 12670337 Ferry security keeps Southport 'Pops' busy
jul2013 28401 12665960 Barbershop quartet sings aboard USS North Carolina
jul2013 27237 12654214 Longtime Sanford DJ shares love of oldies with listeners 
jul2013 27511 12649216 Cary-based Christian radio has global reach
jul2013 27536 12644322 'Hillbilly gal' made music, radio history 
jul2013 28387 12638912 Billy Bag O Donuts starts mornings right
jul2013 28461 12628425 Bald Head shows patriotic spirit with golf cart parade 
jul2013 27596 12626136 Youngsville man collects cowboy pictures from Hollywood westerns
jul2013 28480 12621313 Historic Crystal Pier at Wrightsville Beach undergoes renovation
jul2013 28136 12617408 Historic Shelby carousel comes full circle
jun2013 27511 12605386 Artist has eye for detail, passion for places
jun2013 28401 12599737 Smiling copper frogs adorn Wilmington garden 
jun2013 27511 12594662 Cary artist's work tells unique stories
jun2013 28376 12588555 Raeford wind tunnel mimics skydiving 
jun2013 28459 12575149 Old oak tree bears witness to biblical times
jun2013 28604 12570606 Land of Oz park brings movie legend to life
jun2013 28338 12566585 Andre the Giant loved life on NC farm
jun2013 27601 12562005 Hockey Olympian called Raleigh home
jun2013 28401 12547153 Scratched coffin lore haunts Wilmington
jun2013 28720 12543048 Hillclimb race part of Chimney Rock history
jun2013 28445 12537360 Sea turtles return to ocean home
jun2013 27525 12526080 Franklinton diner dishes up good times
jun2013 28090 12521032 Rail connected people, commerce in Cleveland Co.
jun2013 27520 12516248 Old building offers plenty of tales for owner
jun2013 27893 12511536 Wilson whirligig creator leaves artistic legacy 
may2013 27504 12500428 Benson distillery makes legal moonshine
may2013 28018 12496264 Salvage diver takes whiskey plunge
may2013 27855 12492049 Author pays tribute to moonshine raiders
may2013 28009 12489044 WWII bomber lies at bottom of Badin Lake
may2013 28081 12479471 Hall of Fame honors NC's rich music history
may2013 28746 12475572 Rutherford mountain is rumbling legend
may2013 27601 12470865 Schoolkids Records to keep rockin' despite move, owner says
may2013 27549 12466761 Louisburg treasure seekers hunt Civil War gold
may2013 27601 12455781 Raleigh BBQ judge knows and loves pork
may2013 28160 12451261 Rutherford women hit the roof
may2013 27855 12446658 Meet Chowan University's piano-playing president
may2013 28387 12441773 Man who lost sight finds new mission training guide dogs
may2013 28746 12431031 The legend and lore of Snake Island
may2013 27292 12426939 They come to Conrad and Hinkle for pimento cheese
may2013 28018 12422144 Is NC the real 'Land of Lincoln'?
may2013 27573 12417414 Roxboro man makes career of chipping stone
may2013 28401 12406342 Wilmington's Troll Store is fairytale come true
may2013 28301 12401520 Blossom the opossum is popular critter in Fayetteville
apr2013 28339 12397168 Erwin couple raises ceremonial white doves
apr2013 28372 12392715 Pembroke man's photos capture Lumbee history
apr2013 27314 12382174 Mini village Shangri-La enchants Caswell County
apr2013 28334 12378127 Landmark Dunn jewelry store celebrates 125 years
apr2013 27549 12373595 World's whistlers compete in Louisburg
apr2013 27601 12369092 Popular Raleigh eatery celebrates 50 years
apr2013 28469 12332018 Tale of Titanic survival shared in family memoir
apr2013 27807 12328384 Pottery, blueberries and bluebirds: Bailey man has knack for each
apr2013 28301 12323322 Colorful Eastover mayor is also an artist
apr2013 28358 12318554 Lumberton man races to forefront of car collecting
apr2013 27807 12306754 Bailey Cafe serves up full plates and hot tea
apr2013 27573 12301569 Colorful character lends charm to Roxboro country store
apr2013 28358 12296717 Lumberton pioneers honored in museum exhibit
apr2013 28334 12291943 'River Town' celebrates Harnett County history
mar2013 27587 12281998 Wake Forest hot dog dive Shorty's has long history
mar2013 27932 12267202 Edenton home has ties to world history
mar2013 28358 12248675 Mystery writer draws inspiration from Lumberton
mar2013 27601 12243993 Book of love poems connects Raleigh man to late wife
mar2013 27601 12239903 Inter-ability couple connects through writing
mar2013 27601 12219010 Mix 101.5's Jordan ready for life after radio
mar2013 27511 12214637 Retired officer a collector of law enforcement memorabilia
mar2013 27536 12209983 Henderson peanut roaster boasts unique flavors
mar2013 28401 12196612 Watchman sees ghost aboard NC Battleship
mar2013 27228 12191130 Sharpie artist makes his mark
mar2013 27983 12187046 Artist's NC etchings on display at Windsor plantation
mar2013 27886 12181750 Former Raleigh planner photographs rural NC life
feb2013 27893 12166955 Wilson landmark Bill's BBQ turns 50
feb2013 27530 12161653 Goldsboro's Paramount Theatre reopens after fire
feb2013 27932 12156150 Edenton house is NC's oldest
feb2013 27855 12150982 Cornfield Boys are little-known NC sports legends
feb2013 27256 12136935 Remarkable well birth story lives on in Chatham County
feb2013 27855 12132460 Confederate vet had date with devil in death
feb2013 27874 12127500 Scotland Neck woman wasn't grounded
feb2013 27801 12123459 Rocky Mount man welds lawn figures from scrap metal
feb2013 27601 12110272 Raleigh couple keeps romance alive with novel writing
feb2013 27601 12104601 Former barber turns to the orchid business, a true passion
feb2013 27601 12099002 Recycled flowers put a smile on many faces
feb2013 27932 12094277 Edenton marks 200th birthday of courageous slave who wrote autobiography
feb2013 27601 12080501 Precision required for military, culinary careers
feb2013 27506 12075132 Campbell museum stuffed with big game
feb2013 27536 12069776 Big circus has roots in small-town Henderson
feb2013 27893 12064546 Scroll saw is Wilson artist's tool
jan2013 27893 12050477 Talented owner makes art gallery out of convenient store
jan2013 27601 12045498 Raleigh couple's faith-based film is labor of love
jan2013 27310 12040151 Oak Ridge man devotes life to tobacco crop
jan2013 28904 12035507 Tar Heel Traveler visits Clay County for 1,000th story
jan2013 27601 12022495 Raleigh music producer spots new talent
jan2013 27601 12017168 Raleigh rap group's 'Hometown' video gets YouTube play
jan2013 27601 12011769 Raleigh singer turns mourning into music
jan2013 27601 12007124 Raleigh bass player influenced by his art
jan2013 27601 11956259 Skateboard maker is on a roll
jan2013 27401 11940472 Greensboro couple snaps courthouse photos
jan2013 27601 11936124 NC State student runs bow tie business
jan2013 27601 11932428 Wake couple finds friendship in mice
dec2012 27701 11920035 Santa's sleigh has extra horsepower in Durham
dec2012 27601 11916532 Raleigh silversmith hammers holiday jewelry
dec2012 28801 11912904 Ashe County man's tree lights up Biltmore lawn
dec2012 27401 11904594 Greensboro artist paints cards to help homeless
dec2012 28902 11899356 Ring in the New Year with a possum drop
dec2012 28365 11894792 New Year's pickle drop another unique NC tradition
dec2012 28301 11889996 Flea Drop is New Year's tradition for once flea-bitten town
dec2012 28712 11878465 Metal Christmas trees light up Brevard museum 
dec2012 28801 11874426 Asheville radio museum celebrates past
dec2012 27028 11864921 Daniel Boone's parents buried in Davie County
dec2012 27601 11852651 7-year-old entertainer wows crowds
dec2012 28301 11848188 Eastover church decks halls with nativity scenes
dec2012 27310 11839670 NC military academy faces challenges 
nov2012 27520 11827506 Clayton Center celebrates 10 years
nov2012 27530 11823402 Goldsboro painter makes musical masterpieces 
nov2012 28801 11818740 'Johnny O' is Asheville's car chief 
nov2012 27514 11814641 Chapel Hill eatery takes waffles back four decades
nov2012 27237 11802614 Sanford home to the Wild West way of life
nov2012 27816 11798573 Clydesdale horse Chance aptly named 
nov2012 27541 11794233 Polo makes big sporting strides in NC 
nov2012 27511 11780116 Santa 'brotherhood' keeps Christmas spirit alive all year
nov2012 28741 11775738 Rugged log cabin houses fragile glass collection 
nov2012 28628 11770710 Family turns wine hobby into sweet success
nov2012 28501 11765954 Octogenarian vets in Kinston still giving, serving
nov2012 27601 11754167 Cloos' is hot dog heaven in Raleigh
nov2012 27529 11750207 Wood working bonds Garner men like glue
nov2012 27540 11745525 Preschoolers vote in Election Day nail-biter
nov2012 28364 11741547 Couple has unique bond with 'pet' squirrel
nov2012 27893 11728638 Whirligig festival highlights playful, colorful vision
oct2012 27360 11613122 Davidson woman traces lineage to famous conjoined twins
oct2012 28771 11617874 Motorcycle riders hang busted parts, pride on Tree of Shame
oct2012 27893 11622579 At 91, exercise instructor not slowing down
oct2012 27526 11627362 Fuquay-Varina church marks 100 years of faith
oct2012 27601 11639335 Tar Heel Traveler gets State Fair sneak peek 
oct2012 27874 11642987 Scotland Neck corn maze puzzles Halloween revelers
oct2012 27601 11646839 Raleigh man hunts ghosts 
oct2012 27601 11655125 Biscuit-making at State Fair bonds friends
oct2012 27358 11662504 Gourd art proves a favorite at state fair
oct2012 27601 11666946 Masonry competition is built on tradition
oct2012 27028 11671759 Pumpkin carver shows off skills at State Fair
oct2012 27529 11676337 Wildlife artist is a longtime fixture at the State Fair
oct2012 27601 11676454 Walking tree wows fair goers with balance, beauty 
oct2012 28387 11680489 Old fire service tower a memorial to woman who worked there
oct2012 27013 11689058 Former NC ag chief left big footprints on fair
oct2012 27237 11693651 Creating cool canes a relaxing hobby for Sanford veteran 
oct2012 28733 11698171 Fontana Dam is marvel of engineering, beauty
oct2012 27601 11702703 Ghost tours spook visitors at historic Raleigh home
oct2012 27278 11724249 Every day is Halloween at Hillsborough house
sep2012 27801 11600935 Motorcycle hearse offers a final ride in style 
sep2012 28741 11596470 Wonderful waterfalls a year-round attraction
sep2012 28771 11586433 Dizzying Dragon road thrills motorcyclists 
sep2012 27511 11573407 Cary's 'Music Man' fondly remembered
sep2012 27101 11568965 Winston-Salem man built life brick by brick
sep2012 27601 11563559 When tourists call, inmates answer
sep2012 28734 11558204 Macon County agrifair the last of its kind in NC
sep2012 27601 11545287 Yates Mill: Celebrating a historic jewel in Wake County
sep2012 27597 11539209 Wine corks are big business in little Zebulon
sep2012 28571 11533592 Time stands still at Red Lee's Grill in Oriental
sep2012 27298 11514916 Liberty nursery plants White House lawn
sep2012 28655 11509767 Morganton museum brims with local stories
sep2012 27529 11504387 A look back at a long career in law enforcement
aug2012 27601 11490200 'Gone With the Wind' exhibit blows into NC museum
aug2012 28571 11475654 Watermelon, turtles cross paths at Oriental woman's home
aug2012 27947 11463286 Outer Banks home to unique brewery
aug2012 28092 11458832 Lincolnton musician cuts tune with saw
aug2012 27591 11454091 Wendell man attached to old pickup 
aug2012 28611 11449295 Caldwell County cabin covered in mugs
aug2012 27805 11437719 Charity turns Bertie into Place of Possibilities
aug2012 27030 11433178 Mt. Airy writer pens murder mysteries
aug2012 27237 11428966 Sanford man builds hot rods
aug2012 28571 11425154 Oriental holds annual dragon boat races 
aug2012 28655 11411846 Mountain lights baffle scientists, Burke residents for decades
aug2012 28633 11407269 Lenoir church preserves witches' keyhole 
aug2012 27906 11402303 Mystery of Nell Cropsey lurks in Elizabeth City 
aug2012 28092 11398164 Buried bride haunts Lincolnton plantation
aug2012 27938 11386046 Merchants Millpond is an ecological wonder
aug2012 27949 11382312 Captn Franks serves hot dogs at Kitty Hawk 
jul2012 27041 11377087 Pilot Mountain man is oil and gas collector
jul2012 27601 11373021 Raleigh man was legendary Chevy salesman
jul2012 27601 11356136 Retired scientist is 'Tomato Man' in Raleigh
jul2012 27530 11351881 Goldsboro BBQ joint celebrates 50 years
jul2012 27019 11347385 Future of historic Germanton church unclear 
jul2012 27360 11334793 Pulitzer Prize-winning photographer revisits how he achieved the picture of success
jul2012 27569 11324961 Princeton woman tends glorious garden
jul2012 27030 11320441 Mount Airy granite prized nationwide
jul2012 27501 11310704 Goose stays put in winter at Johnston County home
jul2012 27572 11306326 A passion for old refrigerators sparks unique collection
jul2012 27830 11301705 Nuclear mishap could have been catastrophic for NC
jul2012 27237 11297423 Pink Floyd name can be traced back to North Carolina blues
jul2012 27514 11285651 At Chapel Hill eatery, it's all about the bacon
jul2012 27504 11283052 Bells of freedom ring on July 4
jul2012 27601 11274401 Raleigh family doctor marks 50th anniversary 
jun2012 27011 11257347 Yadkin County winery attracts visitors with zip line
jun2012 28901 11252354 Cherokee town home to US's smallest winery
jun2012 27018 11247964 Yappa Valley vineyard has llamas
jun2012 27601 11230888 Dead ham breakfast is long legislative tradition
jun2012 27030 11226361 Mount Airy salt and pepper shaker collection like no other
jun2012 27801 11221606 Rocky Mount woman relives miraculous flight
jun2012 27557 11205081 Retired farmer builds cars in Nash County
jun2012 27514 11201060 Chapel Hill man is nation's longest serving mail carrier 
jun2012 27893 11195281 Wilson man's garage a museum of sorts
jun2012 27925 11183871 Columbia brothers think like fish
jun2012 28901 11179362 Cherokee craftsman restores old planes 
jun2012 27514 11174868 Cartoons adorn walls at Chapel Hill bar
jun2012 27511 11170667 Cary man's remains launched into space
may2012 27587 11159813 Runner tackles Mountains to Sea Trail
may2012 28618 11155049 Doc Watson stuck close to NC roots
may2012 27360 11150757 Thomasville chair is fitting landmark 
may2012 27701 11139615 For Durham rose company, business is blooming
may2012 27932 11135018 Founding father buried in Edenton 
may2012 27215 11130765 Burlington man finds treasure with metal detector
may2012 28401 11126196 Secret art of Dr. Seuss
may2012 28144 11114743 Salisbury is home to sportscaster hall of fame
may2012 27601 11109963 Raleigh family on hockey, faith road trip
may2012 27601 11105785 Country hits meet baseball's biggest stars 
may2012 27601 11101671 Grannies got game on senior basketball team
may2012 27893 11090730 Wilson play tells story of Louis Armstrong
may2012 27215 11085546 Zack's Hot Dogs in Burlington serves fast, friendly food
may2012 27930 11078687 Turtle log is quirky Hertford landmark 
may2012 27601 11073498 Raleigh Denim Workshop designer tells survival story 
may2012 27601 11060511 Raleigh author details NC 'War Zone' 
may2012 27932 11054919 Historic Edenton lighthouse moved offshore
may2012 27601 11050082 Family of artists spans continents
apr2012 27502 11041416 Longtime Apex town clerk retires 
apr2012 27962 11030120 Plymouth honors Civil War ironclad ship
apr2012 28401 11025117 Artist paints landscapes from around NC
apr2012 27886 11019862 Book tells stories of small town policemen
apr2012 28521 11015501 Historic NC mansion items on auction block
apr2012 28201 11003580 Mecklenburg sculptor has impressive musical past
apr2012 27601 10998588 Raleigh Christian bookstore to close 
apr2012 27925 10993705 Columbia barber cuts hair for 77 years
apr2012 27601 10989009 The lost art of smoking hams
apr2012 27520 10977184 'Mr. Titanic' celebrates the 100th anniversary of the ship's sinking
apr2012 28401 10972106 Azalea Festival puts spring in Wilmington's step
apr2012 27962 10966743 Porch-sitting Pritchett brothers revisited 
apr2012 27962 10962115 Plymouth man plays pirate Blackbeard
apr2012 28387 10951980 Man has long career in radio
apr2012 27572 10946341 Old magazines let Rougemont man peek into past
apr2012 28585 10941894 Masonic silver tells Civil War story
apr2012 27601 10937285 1940 Census released for first time
mar2012 27601 10923957 Raleigh man hikes for his 'stars'
mar2012 27514 10918914 African-American broadcast pioneer leaves legacy
mar2012 28334 10913912 Harnett man is house mover historian
mar2012 27925 10907994 Mystery surrounds 1976 Bishop family murders
mar2012 27576 10894272 Selma landmark hosts live music
mar2012 27962 10888182 Stray cats make home in Plymouth parking lot
mar2012 27601 10882968 Raleigh man, 74, pedals more than 100,000 miles
mar2012 27401 10877537 London-style taxis cruise Greensboro
mar2012 27601 10858002 'Sugar in a Shoebox' beat the odds
mar2012 28443 10852420 Hampstead man sculpts concrete statuary
mar2012 27876 10848002 Seaboard auction brings people together
mar2012 28334 10827388 Mornings start with donuts, smiles at Dunn bakery
mar2012 28401 10822248 Plucky little ukulele brings Hawaiian sound to Wilmington
mar2012 27601 10817753 Raleigh neon artist finds groove
mar2012 27601 10802124 Wake Tech coach always asked, 'Is that really your last name?'
feb2012 27401 10796276 Women celebrate Leap Day birthdays
feb2012 28334 10791266 Dodge the dog relies on kindness of strangers
feb2012 27601 10786281 Raleigh man collects old phonographs, records
feb2012 27601 10773528 Raleigh pharmacy thrives downtown
feb2012 28201 10768179 Charlotte woman builds Lego creations
feb2012 27701 10762638 Roadhouse brings Cajun flair to Durham
feb2012 27601 10757676 Hawks catch Raleigh photographer's eye
feb2012 27601 10742712 Emmett Till movie filmed in NC
feb2012 28443 10736690 Shoe Tree is landmark
feb2012 27601 10731273 Raleigh woman bakes pies to honor children
feb2012 28365 10724881 Winter camellias beautify Duplin County property
feb2012 28540 10710794 Onslow museum honors first black Marines
feb2012 28031 10704969 Cornelius man sculpts giant monuments
feb2012 28401 10699939 Gallows Hill has haunted past
feb2012 27601 10694511 NCSU bell tower tolls again
feb2012 28173 10681209 NC museum devoted to alphabet
feb2012 27401 10676542 Coffee sculptures salute Greensboro sit-in 
jan2012 28370 10671486 Pinehurst man was television pioneer
jan2012 28070 10667105 Carolina Raptor Center rehabs birds of prey 
jan2012 28573 10651118 Did DB Cooper rob an NC bank?
jan2012 28009 10645219 WWII plane lies at bottom of Badin Lake
jan2012 28110 10639905 Monroe man is sole plane crash survivor
jan2012 28333 10634414 Dudley man carves mini military planes
jan2012 28091 10621735 Town has history of firsts
jan2012 28387 10617228 Southern Pines woman, 105, still makes snake oil
jan2012 28001 10611786 Trains, tracks wind through Albemarle music store 
jan2012 28345 10606477 Hamlet has historic railroad depot
jan2012 28318 10589332 Bluegrass on the menu in Autryville
jan2012 27701 10584232 Culinary students run Durham restaurant 
jan2012 27529 10580228 Garner twin artists double up on creativity
jan2012 27529 10567471 Garner artist wields torch
jan2012 28382 10562050 Roseboro man builds enormous tree house
jan2012 27520 10557583 Clayton librarian to relax in retirement
jan2012 27601 10553881 Airport security sends snow globes to state warehouse
dec2011 27520 10529100 Disney World is Clayton family's tradition
dec2011 28318 10525363 Young singers are jewels of Sampson County
dec2011 27601 10520933 Raleigh home has historic carolers 
dec2011 27601 10517011 Wake County's oldest house decorated for Christmas 
dec2011 27601 10506547 Raleigh architect's music released posthumously 
dec2011 27889 10502585 Washington man thirsts for Coke collectibles 
dec2011 27893 10498058 Wilson woman collects mice
dec2011 27601 10493747 Rembrandt exhibit in Raleigh exceeds expectations 
dec2011 27052 10480525 Meadow Lights illuminate Johnston County 
dec2011 28428 10475790 Carolina Beach man turns driftwood into art 
dec2011 27601 10470566 Dalmatian is Wake firefighters' best friend 
dec2011 27349 10466294 Blind, deaf dog brightens Alamance woman's life 
nov2011 27601 10448719 NC State engineer honored by President Obama 
nov2011 27514 10438311 'Tree surgeon' gives TLC to UNC landscape
nov2011 28401 10434168 Church fans on display at Wilmington museum
nov2011 27235 10420011 Abandoned gas stations are roadside relics
nov2011 27863 10415523 Pikeville dealership sells cars of the past
nov2011 27882 10395730 Barefoot man likes his feet in the buff
nov2011 28301 10390278 Fayetteville pastor crafts wooden cars 
nov2011 27514 10385087 UNC exhibit looks at slavery, evolution
nov2011 27530 10380344 Goldsboro mechanics double as country crooners 
nov2011 27601 10369807 11-11-11: What does it mean?
nov2011 28339 10360127 Harnett house has Revolutionary War past 
nov2011 27801 10354167 Military men build model ships in Rocky Mount 
nov2011 27874 10349620 Scotland Neck tinkerer drives treadmill truck 
nov2011 27601 10334944 Learn the colorful history of NC 
nov2011 27886 10329610 Edgecombe boasts swamp 
nov2011 27520 10324975 Retired trooper cooks up new career in BBQ
oct2011 27701 10320459 Only Burger drives through Durham 
oct2011 27601 10307992 Rembrandt exhibit visits Raleigh
oct2011 27530 10298696 Goldsboro man collects creepy movie memorabilia
oct2011 27601 10286831 'Maw' dishes out advice and good cookin' 
oct2011 27601 10286803 The State Fair's 'divine vine'
oct2011 27601 10282518 Artist gets creative with lamps
oct2011 27601 10282266 WWII vet proud of State Fair garden
oct2011 27601 10273468 Couple celebrates 64 years of the Fair
oct2011 27601 10269369 State library collects Fair memories
oct2011 27601 10269257 Giant fruits and veggies on display at the Fair
oct2011 27601 10260884 Deep fried delights at the State Fair
oct2011 27601 10260817 Gator on a stick
oct2011 27840 10252057 Hamilton farm boasts rare artichokes
oct2011 27601 10243346 NC preps for 'love-a-fair' with food, fun
oct2011 27601 10231249 Mr. Lego lives in Raleigh
oct2011 27577 10226636 Gardner, Sinatra share love story
oct2011 27601 10221682 Raleigh man has passion for Hammond organs
oct2011 27701 10217071 Duke photo exhibit captures race
sep2011 28301 10197253 Fayetteville theater director kicks off 50th season
sep2011 27577 10191653 Bunny is Smithfield celebrity
sep2011 27504 10185780 Dog helps heal Benson doctor's heartache 
sep2011 27520 10170591 Clayton man is world's fastest drummer
sep2011 27228 10165439 Pittsboro is home to Tiger Rescue
sep2011 27501 10160028 Museum showcases Tink's bells 
sep2011 27601 10154497 Raleigh designer's lifetime of work on display 
sep2011 27549 10139257 Man celebrates 40 years of skydiving
sep2011 27565 10133620 Oxford school turns 100
sep2011 27601 10127590 Seniors at bat in Raleigh
sep2011 27601 10121365 Sharp shooter comes to NC museum
sep2011 27501 10100166 Angier ice cream shop offers unique flavors
sep2011 27504 10095030 Benson doctor has batting cage upstairs 
sep2011 28301 10077838 Zip-line tour offers wild ride in Fayetteville
aug2011 27601 10031358 NC woman is racing across the country
aug2011 27344 10017680 Carolina Stockyards is home to two traditions
aug2011 27601 10012536 Raleigh sanitation worker is known for his voice 
aug2011 28301 10007166 Fayetteville teacher nearly plays with The King
aug2011 27833 10002259 Greenville barbecue lovers pig out at B's
aug2011 27893  9987869 Wilson seniors love to jam 
aug2011 27572  9982157 School bus makes for happy goats at Rougemont farm 
aug2011 28531  9975921 Ship wreckage off NC coast tells chilling tale
aug2011 27856  9970466 Hamburgers pay to restore Nashville home 
aug2011 28531  9955960 Harkers Island is known for duck decoys 
aug2011 28469  9950113 Coastal artist was once 'Mad man'
aug2011 27587  9945332 Wake Forest woman's SUV lasts half million miles 
aug2011 28516  9939370 Beaufort museum has Blackbeard's booty
jul2011 27284  9912419 Tar Heel Traveler meets his match 
jul2011 28557  9906491 Morehead City man is worldwide shark expert
jul2011 27893  9887448 Wilson train station statue is icon
jul2011 28557  9877084 Morehead City painter captures fading coastal life 
jul2011 27856  9864540 Nashville world champion shooter credits 'time, patience, practice' 
jul2011 28461  9858787 Former Air Force One steward lands in Oak Island
jul2011 28531  9853742 Willow Pond's wildlife a wonder in Harkers Island
jul2011 27549  9847646 Louisburg woman drapes people in kindness
jul2011 27893  9833670 Flo's Kitchen boasts giant biscuits
jul2011 28461  9827710 Flag in NC tells backstory of Lincoln assassination
jul2011 28516  9822055 Bike race held underwater
jul2011 28021  9817758 Dellview smallest NC town
jun2011 28457  9807367 Rocky Point place known for hot dogs 
jun2011 28459  9801053 Brunswick live oak was alive in Christ's time 
jun2011 28469  9793967 Century plants bloom on the coast 
jun2011 28458  9787711 Duplin town boasts world's largest frying pan
jun2011 27801  9773054 Band rocks Hardees in Rocky Mount
jun2011 28743  9767008 Appalachian Trail has challenged hikers since 1937
jun2011 27228  9760684 Pittsboro author inspired by courthouse, clerk
jun2011 27601  9754683 Chickens make eggcellent pets for Wake couple
jun2011 27401  9734791 Yum Yum ice cream started in 1906
jun2011 28328  9728648 Clinton Dairy Queen known for machine
jun2011 27601  9710033 Wake County principal retires
jun2011 27511  9703415 Cary pen convention celebrates ordinary office object
jun2011 27856  9691996 Nash County man turns old signs into collectibles 
jun2011 28334  9677295 Averasboro plans Civil War monument
jun2011 28743  9672020 Hot Springs enjoys revitalization
may2011 27511  9666602 Cary man makes guitars out of license plates
may2011 27529  9639515 Garner man is a horror movie maniac 
may2011 28460  9620663 Blackbeard's ship wreckage found on Carolina coast 
may2011 27511  9615529 Quilts tells Civil War stories
may2011 27601  9609186 NC Museum of Art launches app 
may2011 27228  9603790 Cicadas create buzz in Pittsboro
may2011 28201  9590573 Payne's political cartoons for Charlotte paper won acclaim
may2011 28328  9584019 Church furniture built by Clinton family business
may2011 28520  9577353 Two men paddle by NC on journey up the coast
may2011 28743  9571640 Raleigh man hikes 2,000 miles for leukemia
may2011 27856  9557427 Nashville man is state's oldest barber
may2011 28089  9550394 Woman with iron lung wrote memoir 
may2011 28089  9542732 Cleveland County woman had iron will
apr2011 27807  9502677 Nash County school boasts 22 twins
apr2011 28201  9495098 Charlotte DJ duo shares 30 years of radio success
apr2011 28070  9482074 Couple saves Huntersville store 
apr2011 28328  9443767 Famous Clinton dogwood is in full bloom
apr2011 27514  9436817 Chapel Hill couple crosses continents in antique car 
apr2011 27701  9430091 Harnett man wrote Civil War-era newspapers unlike any other 
apr2011 28201  9423728 Collard greens, black Americans celebrated at Charlotte museum 
apr2011 27529  9406634 Garner woman paints murals in home
apr2011 28025  9399591 'Sound of Music' star mentors Cary students
apr2011 28201  9392138 Charlotte piano teacher gently inspires students
apr2011 27601  9384792 WRAL's Amanda Lamb teaches memoir-writing class
mar2011 28201  9366568 Charlotte garden continues legacy
mar2011 28021  9359074 Cherryville museum honors business
mar2011 28366  9351574 Sampson County gas station is landmark
mar2011 27237  9345209 Sanford man's garage is a throwback to the classics
mar2011 28366  9325876 Birthday card binds sisters together 
mar2011 28655  9318374 Historical Gazetteer revised in Raleigh
mar2011 27009  9305465 Forsyth man, 100, spends three years building boat
mar2011 27601  9288476 Exhibit tackles issues of race, identity
mar2011 27601  9281963 Football star becomes phantom
mar2011 27520  9275141 Clayton woman travels to Haiti 51 times and counting
mar2011 27601  9269668 Raleigh woodworker makes canes
mar2011 27601  9252836 Raleigh photographer points and shoots ACC action
mar2011 28370  9205499 Spelling Bee promotes literacy
mar2011 27379  9197965 Yanceyville restaurant has history
feb2011 28327  9190699 Carthage inn hid Civil War-era secrets 
feb2011 27376  9171122 Model planes fly in West End
feb2011 27235  9162928 Guilford County man is longtime blacksmith 
feb2011 27401  9155624 NC graduate died aboard the Challenger
feb2011 27601  9149544 World-famous statue shows Washington without pants
feb2011 27601  9132246 Film remembers crash that killed skating team
feb2011 27530  9125499 Goldsboro cemetery holds haunting love story
feb2011 27511  9118953 Triangle neighborhood recognized
feb2011 27320  9113194 Chinqua Penn is home to love story
feb2011 27305  9095025 Furniture maker transcended race
feb2011 27601  9087499 Stone house cements family together
feb2011 27589  9080333 Trash becomes jewelry
feb2011 28462  9073414 Holden Beach woman is wild about folk art
feb2011 27601  9055789 RDU boasts used bookstore in terminal
feb2011 28328  9048772 Clinton appliance store is family-run
feb2011 28392  9041455 Bladen County cattle farmer uses age-old hydraulic pump
jan2011 27576  9034602 Vick's VapoRub has roots in downtown Selma
jan2011 28468  9008720 Woman photographs iconic Sunset Beach bridges
jan2011 28337  9001181 River man remembers a steamboat named Thelma
jan2011 27522  8995027 For 50 years, woman bakes rolls for Wilton community
jan2011 27401  8977962 Skaters, coaches reflect on challenges
jan2011 27601  8969986 Triangle teens prepare for figure skating nationals
jan2011 27587  8961352 Young figure skaters prepare for national stage
jan2011 28462  8954256 Holden Beach pier survives many storms, generations
jan2011 27587  8937581 Wake Forest woman is known as Puzzle Lady 
jan2011 28398  8930294 Peanuts give candy bar NC flavor
jan2011 27228  8915666 Chatham men share memories of riding rails
jan2011 27549  8894541 State's shortest teacher is in Louisburg
jan2011 27401  8887292 State's largest record store is in Greensboro 
jan2011 27401  8880144 Greensboro Doll store known internationally 
jan2011 28328  8873809 Famous Clinton dogwood tree is largest in nation
dec2010 27543  8822053 Man called to build cross
dec2010 27701  8817579 Man eats at Durham pizzeria 500 days in a row
dec2010 27524  8811785 Couple has miniature village with giant Christmas spirit 
dec2010 27569  8805867 Woman fills home with 27 Christmas trees
dec2010 27591  8790318 Lake Myra lights shine for Christmas
dec2010 27801  8783836 Nash County store is known for Christmas treats
dec2010 27882  8777365 Spring Hope homeowner decks the halls inside and out
dec2010 27893  8771848 Wilson photographer captures generations of memories
dec2010 27203  8755502 Lawmaker a familiar face in Christmas parades
dec2010 28334  8748260 Dunn man 'very happy' at exotic bird ranch
dec2010 27549  8742014 N.C. history comes to life for Louisburg students
dec2010 27401  8736209 Drug-store diner serves up food, community
dec2010 27601  8717781 Street musician faces challenges 
nov2010 28315  8704440 Short line has long history
nov2010 28341  8698693 Man went from Faison to circling the globe
nov2010 27101  6492018 Zinzendorf Hotel burned in Thanksgiving day fire
nov2010 27601  8683867 The art of 'parkour'
nov2010 28801  8677685 Grove Park Inn elevator unlike any in the world
nov2010 27601  8670377 Vacuums are Raleigh man's life
nov2010 27701  8649955 Santa stays up on the latest toys
nov2010 28370  8642902 Pinehurst barn sees new life
nov2010 27511  8635683 Family band rolls RV into Cary 
nov2010 27601  8629480 N.C. native creates a topsy-turvy world
nov2010 27843  8611319 Halifax County vet inspired movie
nov2010 27601  8605515 Vets use uniforms to create art
nov2010 28370  8598978 Festival of Trees
nov2010 27893  8592174 N.C. Wildflower Program enters 25th year
nov2010 27601  8572602 N.C. Museum of Art opens Rockwell exhibit
nov2010 27601  8563831 A second act for Pam Saulsby
nov2010 27601  8555804 Man who built treehouse for dog has more additions
nov2010 27565  8548420 Artist balances pencils, pounds
oct2010 28714  8530249 Yancey County inn hosted Elvis
oct2010 27584  6112292 Williamsboro folk artist remembered
oct2010 28762  8515342 Old Fort's past is present
oct2010 28737  8508165 Woody's Chair Shop a workshop of wonders
oct2010 27601  8498064 Memaw makes State Fair's 'best biscuits'
oct2010 27565  8498209 Oxford woman first to parachute from hot air balloon
oct2010 27601  8492108 WRAL photographer captures colorful State Fair photos
oct2010 27577  8492086 Corn husks help woman bring dolls to life
oct2010 27601  8485246 N.C. State crew's creativity surfs fair
oct2010 27601  8485258 The story of Dorton Arena
oct2010 27601  8479352 Monsters at the State Fair?
oct2010 27601  8479347 Local woman a State Fair 'Blue Ribbon Belle'
oct2010 27601  8472922 The 'Pied Piper' of the State Fair
oct2010 28801  8472924 Meet Virginia Boone ...
oct2010 27601  8483627 Few signs of old fairgrounds in Raleigh neighborhood
oct2010 27601  8462233 State Fair is pastor's longstanding tradition
oct2010 27886  8449396 Man turns dead wood into furniture


oct2010 27601  8435401 State Fair officials prepare for opening day
oct2010 28301  8417661 Putt-Putt was founded in Fayetteville
oct2010 28613  8411337 'Gourd Lady' is famous beyond Catawba County
oct2010 28339  8403857 Erwin honors Al Woodall
oct2010 28801  8398102 Poet, photographer inspired by Parkway
sep2010 27530  8379732 Woman has delivered papers for 40 years
sep2010 27954  8373980 Manteo woman known for extra small waist
sep2010 28714  8359651 Burnsville has its own dude ranch
sep2010 27030  8341094 Mayberry Days festival under way in Mt. Airy
sep2010 27954  8333922 Eastern N.C. photographer's work highlighted
sep2010 27857  8327146 Prominent brothers rose from Swamplawn
sep2010 27954  8320606 Researchers search for Lost Colony
sep2010 27596  8304127 Radio planes take flight in Franklin County
sep2010 28401  8297826 Wilmington is known for having Venus Fly Traps
sep2010 28560  8291573 New Bern man still engraves by hand
sep2010 27954  8285945 History buffs enjoy Island Farm
sep2010 27601  8268001 N.C. Museum of History hosts Washington exhibit
sep2010 27930  8260577 Catfish Hunter grew up in Perquimans County
sep2010 27964  8253544 Outer Banks is home to world's largest hammock
sep2010 27954  8233252 Mother Vine recovering from pesticide accident
sep2010 27601  8226440 Raleigh's original water tower for sale
aug2010 27237  8219219 'Godfather' car on display in Lee County
aug2010 28301  8213430 Fayetteville artist paints pets 
aug2010 27553  8191176 Buchanan's Store has long history
aug2010 28401  8185717 Drawbridges can create musical melodies
aug2010 28450  8179562 Boys and Girls Home helps children
aug2010 28449  8163615 Fort Fisher hermit's death a mystery
aug2010 28449  8156803 Hermit made Fort Fisher his home
aug2010 27536  8150131 Train buried beneath Kerr Lake
aug2010 28433  8143983 Subject of famous painting lived in Clarkton
aug2010 28401  8130000 Wilmington man is tour guide, historian
aug2010 27845  8123995 Sir Archie the stud of championship winners
aug2010 27893  8117475 Museum showcases baseball memorabilia
aug2010 27601  8109375 Raleigh lawyer had front seat for Watergate scandal
aug2010 27536  8093671 Hummingbirds find home in Henderson
aug2010 28472  8087104 Conjoined twins become famous entertainers
aug2010 27919  8080490 Wolfman Jack yipped and howled his way to stardom
aug2010 27510  8074155 N.C. team headed to World Horseshoe Tournament
jul2010 27570  8052500 Ridgeway known for cantaloupes
jul2010 27601  8045601 Interstate 40 turns 20 years old
jul2010 28320  8038006 Beast once thought to roam Bladenboro
jul2010 27601  8020013 Raleigh landmark, Person Street Pharmacy, celebrates 100 years
jul2010 28428  8011040 Carolina Beach Boardwalk home to Britt's Donuts
jul2010 27906  8002694 Elizabeth City is home to the Chocolate House
jul2010 27401  7992409 Mother Murphy's makes array of flavors 
jul2010 27855  7971494 Gatling gun creator grew up in N.C.
jul2010 28719  7963396 Cherokee man remembers building of Blue Ridge Parkway
jul2010 27893  7956273 Wilson man photographs tobacco barns
jul2010 28450  7948562 Man cares for flowers, birds on Lake Waccamaw
jul2010 27101  7928333 Winston-Salem building has historic past
jul2010 27889  7920031 Well-known filmmaker grew up in N.C.
jul2010 28035  7912978 N.C. artist creates gnomes
jul2010 28376  7907159 Skydive indoors in Raeford
jul2010 27601  7892890 Raleigh has its own Liberty Bell
jun2010 27893  7886200 Identical twin sisters marry brothers
jun2010 27568  7867389 Pearl Harbor survivor tells his story
jun2010 27510  7850284 Carrboro man is world coffee judge
jun2010 28749  7842552 Historic apple orchard is can't miss stop on Blue Ridge Parkway
jun2010 27870  7834020 Meet Uncle George and his fishing lures
jun2010 28401  7826539 Pender County man creates big and bold works of art
jun2010 27701  7808570 Durham artist showcases self portraits 
jun2010 28352  7800522 Laurinburg village has many Scottish descendants
jun2010 27930  7791152 Perquimans County is home to S-shaped swing bridge
jun2010 28449  7783103 Civil War soldier thought to haunt Fort Fisher
jun2010 27601  7762069 State Capitol celebrates 170 years
jun2010 27860  7754393 One-of-a-kind building draws visitors to Pantego
jun2010 27932  7746435 Edenton's Cupola House undergoes restoration
jun2010 27401  7739344 Artist celebrates Blue Ridge Parkway
jun2010 27571  7719790 Former N.C. State pitcher struck out Babe Ruth
jun2010 27601  7711798 Filmmaker with Raleigh ties makes spooky films
jun2010 28301  7704726 Fayetteville is home to Eiffel-like tower
may2010 28115  7698928 Mooresville is home to America's most patriotic coffee shop
may2010 27886  7690747 Tarboro museum honors veterans
may2010 27601  7683723 Raleigh men recall secret WWII group
may2010 28461  7667447 Soldier known for D-Day Kiss photograph
may2010 28449  7660031 Kure Beach Pier has long history
may2010 27597  7641012 Students continue dancing in Zebulon
may2010 27601  7633646 Wake students focus on problem-solving
may2010 27502  7626363 Time is ripe for strawberries at Jean's Berry Patch
may2010 28461  7618541 Graves of two men draw people to Southport cemeteries
may2010 27893  7599448 Child actor stars in Wilson play
may2010 27893  7592138 Wilson to celebrate Rose Garden
may2010 27601  7584080 Groundbreaking held for new Raleigh art museum
may2010 27591  7576954 Aubrey's and Peedie's Grill popular among Wendell folks
may2010 27511  7558620 Cary mom wins Hallmark contest
may2010 27601  7550989 Conservators play role in N.C. Museum's success
may2010 27701  7543118 Durham man uses dream ride to raise cancer research money
may2010 27601  7535226 Raleigh man drawn to albums and turntables
apr2010 27601  7515222 Tea service was gift for girl who lost father
apr2010 27502  7506312 Knee boarder turns to boat making
apr2010 27587  7498020 Mule performs more than 50 tricks
apr2010 27601  7490031 Seventh-grader creates board game
apr2010 27601  7470902 Each piece of art has a story
apr2010 27601  7462957 Art museum has storied past 
apr2010 27601  7455590 Egyptian artifacts among N.C. Museum of Art's new additions
apr2010 27601  7447761 Rare Jewish artifacts among N.C. Museum of Art's new additions
apr2010 27502  7420371 New children's show filmed in Apex
apr2010 27302  7406663 Legendary fiddle player calls Mebane home
apr2010 27601  7387394 Union soldier falls for Southern Belle
apr2010 27833  7378518 Civil War general lived in Pitt County
apr2010 27278  7371146 Hillsborough site honors former slave, seamstress
apr2010 27601  7363478 N.C. State Archives houses Civil War memorabilia
apr2010 27529  7346152 These decorated eggs aren't for kids
mar2010 28901  7339527 Gourd museum highlights man's life work
mar2010 27893  7332378 Wilson lady collects teapots from across the globe
mar2010 27601  7324889 Raleigh man has eye for sewing machine repairs
mar2010 27228  7297341 Pittsboro man builds, plays banjos
mar2010 28590  7291363 Daffodils bloom in Winterville
mar2010 27545  7282211 Stained Glass Associates known for colorful art
mar2010 27524  7253174 Civil War reenactment held this weekend in Four Oaks
mar2010 27577  7245532 Smithfield movie theater celebrating 75 years of business
mar2010 27302  7238399 Mebane's A&M Grill serves up barbecue
mar2010 27601  7209468 Old Bibles given to State Archives
mar2010 27893  7201777 Harlem Globetrotters player is Wilson native
mar2010 27502  7190527 Apex baker to attend Las Vegas tradeshow
mar2010 27576  7169297 Explosion rocked Selma in 1942
mar2010 28387  7159050 Southern Pines is home to the Creation Museum
mar2010 27563  7149517 Famous people once stayed at Norlina Hotel
mar2010 27504  7141659 Sears once sold mail-order homes
feb2010 27943  7120591 Doc highlights first all black life-saving crew
feb2010 27536  7113060 Some say Vance County's Corbitt truck plant is haunted
feb2010 27344  7104961 Siler City store opened in 1888
feb2010 27401  7097099 Painter decorates Greensboro's O. Henry Hotel
feb2010 27344  7075923 Siler City restaurant is cheeseburger paradise
feb2010 27237  7067053 Harnett County church has unique history
feb2010 27504  7058038 Woman's recipe makes pound cake famous
feb2010 28801  7042147 The Grove Park Inn has a presidential history
feb2010 27260  7011629 High Point University president recalls journey
feb2010 28449  7003627 Fort Fisher aquarium is home to albino alligator
feb2010 27601  6996294 Exhibit recalls Great Depression
feb2010 23887  6988683 Valentines post office famous for stamp
jan2010 27874  6909204 'Bull Durham' star's legend lives on
jan2010 27520  6900768 Jones Lunch is the spot for hot dog lovers
jan2010 27545  6890744 Knightdale man known for UPC invention
jan2010 27577  6882370 Ava Gardner grew up near Smithfield
jan2010 28301  6860488 Couple enjoy driving I-95 
jan2010 27874  6851172 Boston Terrier attends church sermons
jan2010 27893  6833636 Burk Uzzle's exhibit remembers MLK
jan2010 28449  6813157 Group to re-enact Battle of Fort Fisher
jan2010 27317  6802790 Firefighter collects memorabilia
jan2010 27514  6794330 Local man is TV historian
jan2010 27606  6786932 Singing hair stylist aims for 'America's Got Talent'
jan2010 28344  6764355 Rifle-maker lived in Cumberland County
jan2010 27530  6755293 Goldsboro man made it big in Hollywood
jan2010 27606  6748035 Barrel of staples becomes conversation starter
jan2010 27260  6739190 Behind the scenes at Thomas Built Buses
dec2009 28501  6713556 Senior pilot still soars high
dec2009 27606  6706543 President Andrew Johnson was born in Raleigh
dec2009 28777  6699692 Book author helps revive Spruce Pine region
dec2009 27606  6686192 NCSU scientist explains Santa's secrets
dec2009 28713  6682383 N.C. has real Polar Express
dec2009 28655  6669107 Burke County murder is 169-year-old mystery
dec2009 27511  6663082 Cary woman has many Christmas trees
dec2009 27949  6641998 Historian examines Wright Brothers photos
dec2009 28801  6634892 Thomas Wolfe angered many in his hometown of Asheville
dec2009 27401  6625248 Internationally known writer called Greensboro home
dec2009 27260  6616205 Sculptures aim to inspire High Point University students
dec2009 28124  6593343 Mount Pleasant couple living on the line
dec2009 28801  6585430 Grove Park Inn has a distinctive roof
dec2009 27606  6576806 New Raleigh exhibit celebrates Barbie
dec2009 27870  6568939 Pearl Harbor survivor talks about attack
dec2009 27606  6545094 Wilkinson's memory and creation lives on
dec2009 28327  6538941 Carthage known for buggies
nov2009 27701  6520731 Durham woman wins biscuit contest
nov2009 27701  6498956 Grocery store keeps its family appeal for decades
nov2009 27101  6492018 Zinzendorf Hotel burned in Thanksgiving day fire
nov2009 28636  6482990 Caisson unit gives final salute to fallen soldiers, political leaders
nov2009 28712  6450431 Filmmaker recalls JFK's assassination: Part 2
nov2009 28712  6450965 Filmmaker recalls JFK's assassination
nov2009 27025  6442679 'Shine Fest' to celebrate moonshine
nov2009 27606  6433956 Southern sayings are big hit with T-shirt company
nov2009 27701  6408040 Durham exhibit celebrates Warhol
nov2009 28315  6400602 Moore County man recalls Bataan Death March
nov2009 27511  6392763 Cary athlete runs to beat his disability
nov2009 27606  6384838 World Series of Poker champion calls Raleigh home
nov2009 27514  6358016 Local magician starred in TV, movies
nov2009 27954  6350289 Book details history of Outer Banks
nov2009 28712  6342589 Transylvania County is known for waterfalls
nov2009 28394  6333573 Maintenance man is also a woodworker
oct2009 27208  6311676 Explore the 'Devil's Tramping Ground'
oct2009 27529  6303440 Garner lady known for being seed expert
oct2009 27502  6295565 Apex man restores old gas pumps
oct2009 28801  6287314 Asheville's 'Mushroom Man' sprouts into celebrity
oct2009 27606  6272481 Biscuit, bowl makers are fair neighbors 
oct2009 27606  6272411 Vendors have long history at fair 
oct2009 27606  6264784 Folk Festival celebrates 62 years
oct2009 27606  6264595 Long-time friends make biscuits at the fair
oct2009 27606  6256767 Fair is family tradition for some
oct2009 27584  6112292 Folk artist to host art show
oct2009 27606  6249855 Woodworker carves images of death
oct2009 27606  6249836 Pumpkin carver is a State Fair attraction
oct2009 27606  6241881 Flower and garden show hits State Fair
oct2009 27606  6242239 Musician plays State Fair annually
oct2009 27606  6228173 State Fair forms medley of sounds
oct2009 28315  6213705 Aberdeen hosts Sardine Festival 
oct2009 28601  6206201 Sinkhole made famous by swallowing Corvette, restaurant (Hickory)
oct2009 27606  6198202 What's new at the State Fair?
oct2009 28712  6165538 Brevard known for its white squirrels 
oct2009 27927  6158348 N.C. city has no paved road (Carova Beach)
oct2009 27565  6150311 Oxford drugstore grapples with changing times
oct2009 28801  6144252 Grove Park Inn famous for its visitors
oct2009 27606  6120217 Announcer has been with Canes for 30 years
sep2009 27536  6112292 Williamsboro folk artist remembered
sep2009 27502  6103878 Award-winning dog has interesting family tree
sep2009 28636  6095845 Gem credited for putting Hiddenite on the map
sep2009 27030  6072638 Line between fiction and reality blurred in Mt. Airy
sep2009 27030  6064493 Fan shows admiration for Andy Griffith
sep2009 28327  6056117 Barbecue and airplanes go hand to hand in Moore County
sep2009 28387  6048382 90-year-old Southern Pines man still spinning discs
sep2009 27927  6026212 Beach lighthouse first automated in 1939 
sep2009 27948  6017767 Bodie Island Lighthouse weathers many storms
sep2009 27959  6009691 Dare County is home to the largest natural sand dune on the East Coast
sep2009 28139  6001189 People once rushed for gold in Rutherfordton
sep2009 27514  5977275 New author hits N.C. Literary Festival
sep2009 27577  5968496 Johnston County man creates his own Wild West
sep2009 27526  5961492 Fuquay-Varina diner celebrates anniversary
sep2009 28605  5932707 Appalachian storyteller makes his own fun
sep2009 28334  5924200 Three generations take up cricket farming
sep2009 27959  5914771 Lantern and blood-thirsty pirates tied to town's name
aug2009 27522  5906453 Four Creedmoor sisters die from lightning strike
aug2009 28625  5882924 Statesville may have ghost train 
aug2009 28043  5875125 Bottle collector puts his stockpile to use
aug2009 27526  5866897 Fuquay boy starts handmade pen business
aug2009 27927  5859120 Wild horses roam Corolla
aug2009 27954  5834985 Birds flock to bridge near Manteo
aug2009 27713  5828020 Picasso exhibition to open at Nasher Museum of Art
aug2009 28301  5820553 Fayetteville man recalls time at Woodstock
aug2009 27968  5813127 Amazing rescue from 91 years ago remembered 
aug2009 27606  5792558 Origin of popular phrase tracked down
aug2009 28043  5784165 N.C. baseball team racks up wins and shatters records
aug2009 28604  5775989 Remembering the 'Land of Oz' theme park 
aug2009 27577  5767692 Johnston County man builds surfboards for 35 years
aug2009 28607  5745841 Amateur meteorologist takes mountains by storm
aug2009 28720  5737505 Chimney Rock gets historical marker
aug2009 28621  5729071 Elkin dog sniffs out pests
aug2009 28328  5720705 75-year-old still pushing the pedal to the metal
jul2009 28644  5694816 Same waitresses work for decades at coffee shop 
jul2009 28691  5685743 Valle Crucis is home to the famous Mast General Store
jul2009 27960  5676528 Island is home to 10 generations of the Howard family
jul2009 28401  5645516 Wilmington teen has become internationally-known artist
jul2009 27514  5635817 Bees keep former UNC chancellor buzzing
jul2009 27960  5626009 Group suspected of being German spies 
jul2009 28705  5617196 Mitchell County man has connection to moon walk
jul2009 28334  5614143 Duo celebrates Civil War in song
jul2009 28501  5583331 Remembering the Kinston hangings
jul2009 27606  5574390 Bull riding and barrel racing in Raleigh
jul2009 28605  5567046 Mysterious rock carries unusual wind current
jul2009 27587  5542751 Wake Forest man is security specialist by day, boxer by night
jul2009 27237  5533499 Lee County man has passion for classic cars
jul2009 28377  5523485 Artist finds inspiration through leather
jul2009 27893  5514783 Wilson man famous for barbecue
jul2009 27601  5494239 Raleigh artist paints revolutionary heroes
jul2009 28458  5485555 Rose Hill winery to bottle 'miracle grape'
jun2009 27954  5475934 Man is known as 'Mr. Marina' in Manteo
jun2009 27874  5467077 Remembering Halifax County's 'Little Spec'
jun2009 27948  5440253 Kill Devil Hills has first wind-powered brewing station 
jun2009 27395  5430203 Hotel accommodates guests and the environment
jun2009 27960  5421389 Ocracoke Island home to mounted Boy Scout troop
jun2009 27101  5412529 Winston-Salem man is famous for dot, dot, dot
jun2009 27965  5389061 The legend of The Grave Digger
jun2009 27505  5379337 Broadway woman works 70 years as a beautician
jun2009 27260  5369434 High Point is home to butterfly farm 
jun2009 28344  5361545 Godwin man's invention helped win a war
jun2009 27606  5337821 Charlie Brown spins the beach music
jun2009 28560  5328022 New Bern is the birthplace of Pepsi
jun2009 28584  5309916 Swansboro woman lives in same house for 94 years
jun2009 27713  5284660 Durham veteran remembers D-Day
jun2009 27395  5275781 Photographers meet up for pancakes and talk
jun2009 27529  5266070 Deer landmark has special meaning
jun2009 27954  5257964 Manteo's 'Mothervine' is over 400 years old
may2009 27893  5235941 F. Scott Fitzgerald's wife died in N.C. hospital fire
may2009 27237  5227222 Chatham County mine blast shuts down the industry
may2009 27395  5219601 Greensboro man loves to sing 'Happy Birthday' to others
may2009 28301  5212173 Fayetteville soldier's belongings tells story of sacrifice
may2009 27505  5194141 Small town memorializes all veterans
may2009 28081  5185863 Forensic work tracks N.C. sailor in famous photo
may2009 28301  5177753 Flags honor veterans in Fayetteville
may2009 27530  5169677 Goldsboro soldier remembered for military service
may2009 27217  5150097 Mill village is reborn in Burlington
may2009 27530  5142878 Grave headstones offer up historical tales
may2009 27960  5127578 Small plot of Ocracoke Island soil belongs to England
may2009 27570  5106747 Opry House rocks Ridgeway
may2009 28501  5097741 Ghostbusters look into unexplainable sounds and images
may2009 28349  5080532 N.C. men take photo with Eisenhower before D-Day
apr2009 27530  5059120 Atomic bomb may lie in Goldsboro
apr2009 27530  5050531 Plane, atomic bomb dropped from Wayne County sky in 1961
apr2009 27606  5042653 Barber snips and trims in YMCA locker room
apr2009 28625  5034600 Mountain bike museum shows cycle of history
apr2009 28301  5014683 Miss Janie's been delivering babies since hospital opened
apr2009 27606  5006604 Red-bellied woodpecker is fascinating to watch
apr2009 28339  4998506 Red McNeil's ghost said to haunt stomping ground
apr2009 28201  4990660 Charlotte man has passion for the past
apr2009 28334  4969139 Will the real Barney Fife stand up?
apr2009 28052  4961390 Gastonia ice cream parlor in business for 95 years 
apr2009 28673  4953159 Some say monster lurks in Lake Norman
apr2009 27606  4946048 Mourning cloth, flags mark death of Lost Cause's symbol
apr2009 28201  4926170 Billy Graham Library traces evangelist's history
apr2009 27606  4918245 Raleigh play showcases racial integration
apr2009 27833  4909819 Historian tracks UFOs
apr2009 28301  4901232 Dermatologist has world's biggest itch for backscratchers
apr2009 27341  4880703 Pottery spans six-generations of Seagrove family
apr2009 28021  4865533 Dellview known for being smallest town
mar2009 28159  4854549 Scotland man loves to ride the rails
mar2009 28201  4845962 Charlotte trolley runs through history
mar2009 28625  4822583 Goal: 252 hours of music, world record
mar2009 27886  4813653 Tarboro man uses metal detector to find treasures
mar2009 28081  4804967 Soldier rests with roof over his head
mar2009 28338  4797970 Andre the Giant lived, died in small N.C. town
mar2009 28352  4776447 Hiccup man keeps on jumping into fifth decade
mar2009 27886  4768001 Tarboro man known for stylish boots
mar2009 28035  4759129 Davidson professor performs first U.S. X-ray in 1896
mar2009 28301  4751233 Babe Ruth has Fayetteville connection 
mar2009 27713  4725746 Triangle filmmakers create horror movie
mar2009 27606  4722825 All-American mover keeps it rolling
mar2009 27886  4709247 Best friends have identical gravestones
mar2009 27371  4700866 Gold hunting finds treasure in Montgomery County
mar2009 27606  4679886 Pirates sail into N.C. history museum
mar2009 28401  4671006 USS Cyclops' fate remains a mystery 
mar2009 27801  4661041 Rocky Mount man builds model boats
mar2009 27544  4651472 Dog helps Vance County kids learn to read
feb2009 27893  4624712 Round House transformed into museum
feb2009 27713  4605407 Photos from the slavery era on display
feb2009 27540  4596679 Holly Springs artist helps people of Zimbabwe
feb2009 27589  4574928 Karate instructor has own karate kid
feb2009 27101  4565549 Ghost thought to haunt Old Salem house
feb2009 28557  4557212 Ghost accused of stirring up trouble at library
feb2009 27514  4549890 UNC library displays letters from luminaries
feb2009 27511  4529914 Rose arranges flowers for a living
feb2009 27606  4520686 Historian looks back on Abraham Lincoln's life
feb2009 27536  4512467 Woman paints the past so others won't forget it
feb2009 27565  4503449 Love songs, hot dogs main fare at Taylor's Grill
feb2009 27320  4480120 Reidsville man creates handmade bowls 
feb2009 27801  4470814 Rocky Mount woman fulfills jewelry dream
feb2009 28352  4462297 Chief broke racial barriers
feb2009 27101  4454667 Winkler Bakery has rich history
jan2009 28791  4430778 Barbershop Boys entertain
jan2009 28516  4421958 Beaufort man piloted Challenger
jan2009 27379  4412874 Underground house has Cold War beginnings
jan2009 27522  4404449 Fran the accordion man makes merry music
jan2009 27320  4382722 Reidsville sisters made history
jan2009 27395  4373015 Cereal box makes history
jan2009 27701  4326628 MLK signed program up for auction
jan2009 28352  4315576 Carnival worker corpse kept for 61 years
jan2009 28388  4306355 Famous writers remembered inside Moore County home
jan2009 27511  4298116 Cary's music man starts high school bands
jan2009 27606  4274109 The group behind the inaugural ball 
jan2009 27807  4265052 Bailey woman designs Perdue's gown 
jan2009 27606  4257054 Man's mission is musical blast from the past
jan2009 28719  4249366 Chief Henry renowned as the leader of the Cherokee
jan2009 27701  4229758 Duke hosted Rose Bowl
dec2008 28777  4219653 Christmas saves Spruce Pine during tough times
dec2008 27606  4212900 Future president born in Raleigh in 1808
dec2008 28801  4197624 Christmas display pounds to the sounds of song
dec2008 28713  4194374 N.C. has real Polar Express
dec2008 28655  4187265 Mystery surrounds the 1831 Frankie Silver murder
dec2008 27606  4168228 Angus Barn chef knows what's cooking
dec2008 27949  4160840 N.C. man remembers Orville Wright
dec2008 27855  4153043 Hertford County man collects ordinary Americana
dec2008 27855  4146318 Hertford County building brims with Americana
dec2008 28791  4125028 Minister battles Lou Gehrig's disease while inspiring others
dec2008 27807  4116940 It's a big, historic year for the town of Bailey
dec2008 28782  4109594 Polk County has world's smallest daily newspaper
dec2008 28725  4102084 'The Fugitive' train crash wreckage remains
dec2008 27954  4080778 Touring the Outer Banks by way of paintbrush and pen
dec2008 28791  4073439 A look at the state's roadside memorabilia
dec2008 28560  4066105 Revisiting the Great Fire of 1922
nov2008 27606  4041037 Raleigh woman feeds the homeless 
nov2008 28801  4037517 Postcard project aims to show gratitude
nov2008 27810  4030336 Woman's fascination with the odd makes for unique memorial
nov2008 27546  4022360 Harnett comedy, music duo's big hit on the 'Net
nov2008 27546  4036597 Rhett & Link uncut
nov2008 27101  3992874 Gigantic SHELL is roadside attraction
nov2008 28201  3984878 Hilton sisters died together in Charlotte
nov2008 28201  3977673 Hilton sisters lived fascinating life
nov2008 28773  3957720 Town's claim to fame posed prickly problem
nov2008 27395  3949368 Lost courthouse could hold clues to soldiers' remains
nov2008 27606  3942088 Man pays tribute to N.C. veterans by record keeping
nov2008 27606  3935722 New exhibit showcases North Carolina's governors
nov2008 27808  3913715 The story behind Bath's hoofprints
nov2008 27606  3893766 Women remember elections past
nov2008 27606  3886315 Remembering a veteran by voting
oct2008 27606  3868607 Monster Creature Feature
oct2008 28560  3850813 Historic house said to be haunted
oct2008 27606  3839950 Artist finds inspiration in luggage
oct2008 27954  3839901 The tale of the vanishing Buffalo (N.C., that is)
oct2008 27606  3806239 Maw bakes biscuits
oct2008 27713  3738463 Self-taught painter makes name for himself in Durham
oct2008 27855  3708789 Two-car ferries becoming a rare find
oct2008 27959  3701079 Airborne ranger finds second career in art
oct2008 28716  3693071 Villain of 'Deliverance' living in Haywood County
oct2008 28560  3684681 Students go to class to learn about their school
oct2008 28791  3662873 North Carolina twins held world record for decades
oct2008 28201  3656055 'Old Man Traffic' statue keeps commuters guessing
sep2008 28081  3646750 Cabarrus County castle holds tragic history
sep2008 28605  3639261 Grandfather Mountain becomes 34th state park
sep2008 27030  3624110 Mayberry Days festival under way in Mt. Airy
sep2008 27504  3605401 Traveling by mule to Mule Days
sep2008 27906  3595975 The legend of the Rose Buddies
sep2008 27237  3587981 Lee County man builds the old-fashioned way
sep2008 28443  3576407 Washington ate under Pender tree
sep2008 27713  3557588 Mystery surrounds Robert E. Lee's birth
sep2008 28560  3550726 A grand archway that actually weeps?
sep2008 27606  3532006 Teen's idea brings joy to hundreds of people
sep2008 27237  3525918 Lee County man puts his television 6 feet under
sep2008 27701  3516649 Tuba store is one of a kind
sep2008 28460  3508641 Topsail Island home to turtle hospital
sep2008 27511  3486377 Johnnie B. Goode's history
aug2008 28560  3451137 A duel to the death is remembered in New Bern
aug2008 27606  3445238 Landmark grill only serves up hot dogs 
aug2008 28646  3438047 Chapel made of chestnut
aug2008 27330  3431600 Looking back at the Great Flood of 1908
aug2008 28460  3414952 Post office worker hits the rink for fun
aug2008 27606  3412256 Man creates N.C. shaped garden
aug2008 28657  3397699 North Carolina has a connection to an Olympic-sized controversy
aug2008 28657  3402846 North Carolina athlete remembers the Munich hostage siege
aug2008 27514  3376364 Carolina Inn's walls teem with history
aug2008 27524  3369363 Butchville man working on paper chain since 1979
aug2008 28460  3363913 Topsail Island was forerunner to Cape Canaveral
aug2008 27874  3347394 Exotic birds call North Carolina home
aug2008 27028  3341299 Carolina man played key role in Hiroshima bombing
aug2008 28460  3328436 Searching for Blackbeard's lost treasure
aug2008 28697  3318357 Hall of fame honors bluegrass
jul2008 27701  3311889 Durham traveler says goodbye
jul2008 28655  3306317 Brown Mountain Lights puzzle folks
jul2008 28370  3300401 Man works as caddy for 65 years
jul2008 27237  3293868 A look back at the Coal Glenn Mine Disaster
jul2008 27932  3283313 Edenton hosted 1774 tea party 
jul2008 27055  3267105 Do spirits haunt the Yadkin River area?
jul2008 28604  3259469 Avery County man carves a living out of wood
jul2008 27886  3252278 Edgecombe County Man keeps detailed account of walks
jul2008 28705  3245609 Mitchell County man helped Apollo space mission
jul2008 27976  3228012 Welcome center hosts cars, boats
jul2008 28144  3218856 Hap's Grill is famous for its hot dogs
jul2008 28469  3212440 Remnants of plane unearthed along North Carolina's coastline
jul2008 27932  3206116 Lighthouse has unique history
jul2008 28656  3194339 Hometown Opry is on the air
jul2008 27514  3187209 History of alcohol exhibit at UNC
jul2008 27833  3180253 Village of Yesteryear in danger
jul2008 27606  3173177 Photographer highlights downtown growth
jul2008 27237  3166362 Radio pioneer has charmed listeners for decades
jul2008 27514  3151487 Kuralt, patriotic storyteller, remembered on July 4
jul2008 28681  3145197 Woman's attention to detail gains her worldwide recognition
jul2008 27606  3137790 Tattered Confederate flag has checkered past
jun2008 27906  3131306 Piece of the Underground Railroad lives on in Elizabeth City
jun2008 27959  3119672 Bodie Island Lighthouse finalist in competition
jun2008 28697  3113393 Stars shine bright at Dark Sky Observatory
jun2008 27893  3098484 Wilson business makes name for itself with antiques
jun2008 28646  3093679 Rhododendrons a reminder of Hugh Morton's love for the mountains
jun2008 27874  3043379 Scotland Neck has a unique distinction
jun2008 28480  3037629 Photographer gets creative with the help of technology
jun2008 28640  3029559 Frescoes trail art, faith across mountains
jun2008 27906  3022770 Elizabeth City man captains drawbridge
jun2008 28107  3016914 Striking gold in Cabarrus County
jun2008 28451  3000532 Mysterious light puzzles folks
jun2008 27576  2993427 One man's love for the locomotive
jun2008 27606  2986166 Man builds treehouse for dog
jun2008 28144  2980005 Cheerwine is bottled with tradition
may2008 27948  2960901 Forgotten furniture unlocking mysteries of Wright Brothers
may2008 27948  2953207 Misconceptions surround Wright Brothers' legend
may2008 27962  2934944 Two men sit and wave all day
may2008 27228  2929351 A look at reading, writing and restaurant management
may2008 28401  2923639 The Lone Ranger rides again
may2008 28624  2911161 See how Daniel Boone lived
may2008 27549  2899633 Franklin County deputy is Petty super-fan
may2008 28468  2892861 Horseless carriages head to the coast for annual gathering
may2008 28110  2878060 Meet the man behind the Dukes of Hazzard TV show
may2008 27573  2871363 Stores on Roxboro's North Main Street offer small town flair
may2008 27892  2862568 Sunny Side Oyster Bat's been steaming since '35
may2008 27601  2856012 Feline donates blood to save other cats
may2008 28801  2837271 Tale of the pink lady gives resort guests a scare
may2008 27893  2829009 Family-owned restaurant servers up hot dogs for 8 decades
may2008 27954  2823359 Costume shop reopens after burning to the ground
apr2008 27606  2817805 Twins reunite after being separated in infancy
apr2008 27228  2812539 African children's choie performing in the Triangle
apr2008 27701  2806223 Race Fans Won't Let History Plow Speedway Under
apr2008 27514  2796465 UNC Professor Travels to Antarctica
apr2008 27870  2789196 Roanoke Canal Helped Shape City
apr2008 27228  2782269 Bynum Man Turns Wood Into Works of Art
apr2008 27524  2775440 Four Oaks Mayor Pulls Double Duty
apr2008 27237  2769326 Civil war Relic Rising From the Wilderness in Sanford
apr2008 27601  2772532 Barbershop Poet Visits Raleigh
apr2008 27514  2753066 UNC Brick Masons Keep Campus Beautiful
apr2008 28538  2746843 Greene County Man Has 100 Days to Train Wild Mustang
apr2008 28387  2740659 Is Snake Oil the key ingredient for longevity?
apr2008 27573  2772501 Roxboro Keeps Links to Titanic Sinking Afloat
apr2008 27601  2724140 Mysterious Civil War Grave has Story to Tell
apr2008 28328  2718228 Tar Heel Traveler Visits Patrolman Bringing Cars Back to Life
apr2008 27376  2710871 West End Boy Collects Vacuums
apr2008 28697  2704743 Jail Preservers Home of Infamous Wilkesboro Murderer, Pt. 2
apr2008 28697  2698283 Jail Preserves Home of Infamous Wilkesboro Murderer
apr2008 27549  2686217 Octogenarian Hiker's Been Around the World on His Feet
apr2008 27511  2678144 Tar Heel Traveler Goes on Hot Dog Hunt
mar2008 27544  2610481 Hotel Used as Hospital During Civil War
mar2008 27856  2604255 Nash County Man Traces Family History Back to Revolutionary War
mar2008 27237  2597950 2 Men Save the Model that Helped Save the Battleship
mar2008 28352  2591805 Hair Stylist's Name Goes up in Lights
mar2008 27954  2581188 Museum to Honor Pea Island Lifesavers
mar2008 27601  2574709 Raleigh Teens Bring Girl Power to Hockey Rink
mar2008 28394  2568456 Moore County Country Store Is a Roadside Attraction
mar2008 27502  2560437 Chatham County Woman Finds Art Inspiration on Her Farm
mar2008 27325  2553724 Relaxing With a Porch Swing Maker in Moore County
mar2008 27954  2543201 Fire Leads to Rebirth of 'Lost Colony'
mar2008 27583  2537450 Community Makes Fellowship Key Ingredient in Brunswick Stew
mar2008 27340  2531457 A Look at 2 Puppet Creators Behind 'Puppet Fusion'
mar2008 27203  2525658 Whynot? Yes Indeed: Whynot, N.C.
mar2008 27801  2519200 People Are Central at Rocky Mount Cafe
feb2008 27601  2509954 Babies Leap Into Life
feb2008 27524  2505461 Four Oaks Woman Saves Family History Through Service
feb2008 27536  2498366 Vance County Woman Was First to Parachute From Plane
feb2008 27855  2491560 America's First Airplane Hails From Hertford
feb2008 27401  2485539 Politician Renown for Hat Collection
feb2008 27228  2475647 Old Fashioned Country Store Nestled in Chatham County Countryside
feb2008 27524  2469577 Legend of 'City Slick Chickens' Inspires Town
feb2008 28394  2463974 No Time for this 84-Year-Old to Retire, she Says
feb2008 28328  2457891 These Sweethearts are Queens - of Life
feb2008 27565  2452942 'Andy Griffith' Fans Keep Laughing and Learning
feb2008 27886  2444989 Digging in Dirt Pays Off for Edgecombe County Girl
feb2008 27511  2440356 Cary's Rose Spent Lifetime Beautifying Events
feb2008 27601  2433989 Everything Coming up Rosy for a Raleigh Wholesale Florist
feb2008 28516  2428877 feb2008 28516  2428877 Digging Up the Treasures of the Queen Anne's Revenge
feb2008 28516  2423805 Blackbeard's Ship Yields Tale of Two Men
feb2008 27855  2416335 Walter's Grill Serves Up NC's Best Hot Dog
feb2008 27701  2413540 Nasher Art Exhibit Turns Ordinary Into Celebrity
feb2008 27701  2404291 New Book Profiles African-American Basketball Pioneers
feb2008 27536  2398897 Corbitt Trucks: Vance County's History of World-Class Truck Manufacturing
feb2008 27525  2394468 Carving a Living Out of Wood in Wake and Franklin Counties
feb2008 27577  2386918 Smithfield Man Believes Faith Led Him to Wife
jan2008 27228  2381572 Steel Bridge Has No Name, But Plenty of History and Personality
jan2008 27544  2376803 Quilting Studio Embroidered With Laughter
jan2008 28906  2370931 Police Officer Recalls the Capture of Eric Rudolph, Part 2
jan2008 28906  2365631 Police Officer Recalls the Capture of Eric Rudolph, Part 1
jan2008 27701  2351992 Durham Photographer Shoots in Black and White
jan2008 27589  2346437 General Robert E. Lee's Daughter Buried Near Warrenton
jan2008 27960  2335816 Road to Ocracoke Is by Beach Only
jan2008 27960  2335816 Road to Ocracoke is by Beach Only
jan2008 27701  2315109 Former Duke Basketball Player Turns Photos Into Big Business
jan2008 27885  2302685 Church Relocated by the Hands of God
jan2008 28401  2291581 Man Rides Rails with Boxy Car, Not Boxcar
jan2008 27576  2285596 'Norman Rockwell Meets Twilight Zone' in Artist's Studio
jan2008 27889  2279719 Take a Bite Out of the Top Dog of Eastern North Carolina
jan2008 27826  2273464 A Drive Through the Town With No Red-lights
jan2008 27606  2267532 State Signposts Are History On a Stick
jan2008 27025  2256869 Country Store Does Double Duty as Museum
jan2008 27822  2251259 Birds Swarm When Sun Sets in Elm City
dec2007 27606  2229040 Broughton High School to Play in Tournament of Roses Parade
dec2007 28801  2225718 Asheville Home to One of Nation's 1st Indoor Shopping Centers
dec2007 28301  2208870 Wife: Husband's love letter is 'best Christmas gift' 
dec2007 28326  2203225 Dewberries, Railroads, Antiques: Little Town Has Lots of History
dec2007 28052  2197150 Folks travel from all over to visit Christmas Town USA
dec2007 28801  2191231 Christmas at the Biltmore House
dec2007 27524  2185659 Toy Collector Has Garage Full of Fun
dec2007 28801  2170937 Hansel and Gretel saw nothing like this
dec2007 27601  2158984 Golden Years holiday celebration has a long history
dec2007 27601  2152535 Raleigh actor is well-known Scrooge
dec2007 27577  2142812 Johnston County man 1 of 3 Living Survivors from Ship Destroyed at Pearl Harbot
dec2007 27524  2137870 Rumbling in From the Past
dec2007 28906  2132114 Displays of 10 Commandments Draws Thousands of Visitors Every Year
dec2007 28516  2125436 Looking for Stories 6 Feet Under in Beaufort, Part II
dec2007 28516  2119964 Looking for Stories 6 Feet Under in Beaufort
nov2007 28713  2099384 Road to Nowhere, Part II
nov2007 28713  2094160 Road to Nowhere Stirring Up Controversy Since the '40s
nov2007 28719  2089081 Catching Memories on the Nantahala River
nov2007 27606  2077390 Shoe Shiner Steps Up Business at RDU Airport
nov2007 27893  2072645 Famous Houdini Artist Calls Wilson Home
nov2007 28723  2066886 Judaculla Rock, a Mysterious Tourist Attraction Near Cullowhee
nov2007 27606  2056805 Farm Girl Celebrates 103rd Birthday
nov2007 27606  2051728 Raleigh's 'White Fred Sanford' Runs Vintage Store
nov2007 28779  2045106 Sylva Courthouse Considered Most Photogenic
nov2007 27514  2039672 Proud Chapel Hill Man, a Success Without Arms, Was Inspiration
nov2007 27589  2034353 Warren County Veteran Recalls World War II
nov2007 27893  2026771 Wilson Home to Landmark Restaurant 
nov2007 27606  2021029 Hurricanes' Brian Hoyle Rides the Air in Big Red
nov2007 28694  2016831 Fall Leaves Putting on a Show
nov2007 27893  2011383 Wilson Man is Centerpiece of Whirligig Festival
nov2007 27025  2006238 Making Moonshine's Legal in Rockingham County
nov2007 28675  1998163 'Grab a Fork, Grab Anything': It's Molasses Time!
oct2007 28401  1986054 Is the USS North Carolina Battleship haunted?
oct2007 27208  1981769 Devil tramps around in Chatham County woods
oct2007 28642  1974235 Bridge Links 2 Counties to Their History
oct2007 27511  1965803 Wig Shop Helps Women Cope With Cancer
oct2007 27546  1961993 Friends Feel the Music at Weekly Get-Together
oct2007 27201  1957300 At Age 92, Barber Remembers Haircuts for a Quarter
oct2007 27356  1945431 A Star Shines in Center of North Carolina
oct2007 28401  1936332 California Road Sign Puzzles Drivers in Wilmington
oct2007 27606  1931754 Sacrifice and Pain: Exhibit Pays Tribute to the American Soldier
oct2007 27284  1919316 Strange House Lures Tourists to Forsyth County
oct2007 28468  1909487 Unusual Fox Squirrels Take to Sunset Beach Golf Course
oct2007 28377  1906398 Mineral Water an Important Asset to Red Springs
oct2007 28379  1886213 Rockingham Speedway Purchased for $4 Million
oct2007 27101  1882512 Jim Early: North Carolina Barbecue Is the Best 
sep2007 27606  1870669 Cowboys Ride Again in Western Films
sep2007 27292  1861527 Mountain History Resonates With 'Banjo Man'
sep2007 28625  1843002 Old West Lives in Western N.C. Town
sep2007 27379  1837656 Shangri-La Stone Village, a Place Like No Other
sep2007 28451  1832271 Portrait Artist Right Out of Mayberry
sep2007 27278  1826514 Farm Keeps Making Milk, Ice Cream Though Others Run Dry
sep2007 28401  1812918 Carriage Driver Harnesses Romance of Wilmington
sep2007 28115  1809120 Capturing a Snapshot of Roadside America
sep2007 27514  1803727 No Arms Needed for Marty Ravellette
sep2007 28468  1799560 One-Lane Link to History to Be Severed
;
run;
/* this end of the list is the oldest stories (2007) */


/* Use the new v9.2 "proc geocode" */
/* Look up the origin's lat/long (this is where all the lines branch out from) */
proc geocode data=raw_data out=raw_data
 addresszipvar=origin_zip nocity;
run;
proc datasets;
 modify raw_data;
 rename x = origin_long;
 rename y = origin_lat;
run;
/* look up the destinations' city (ignoring the lat/long this time) */
proc geocode data=raw_data out=raw_data
 addresszipvar=dest_zip attributevar=(city statecode) nocity;
run;
data raw_data; set raw_data (rename = (statecode=state));
run;
/* now that you have city, do city centroid geocoding */
proc geocode data=raw_data out=raw_data lookup=sashelp.zipcode CITY
 addresszipvar=dest_zip;
run;
proc datasets;
 modify raw_data;
 rename x = dest_long;
 rename y = dest_lat;
 rename state = statecode;
run;

































goptions device=png;
goptions xpixels=1000 ypixels=475;
goptions iback='../democd12/ripple.jpg';
goptions border;



/* **************************************************************************** */
/* first, plot everything (later, do it by year) */
data table_data; set raw_data;
run;

/* 
Count how many stories are in each city, and we also only 
need 1 unique obsn per each city.
*/
proc sql;
create table my_data as
select *, count(*) as city_count 
 from table_data 
 group by city
 order by city;
quit; run;

/* You only need to keep the first obsn for each city, to do the map */
data my_data; set my_data;
 by city;
 if first.city then output;
run;


/*
Sort them so that the farthest-away ones will be drawn first, 
and the closer ones drawn last.  That way, the closer ones 
will be "on top" of the farther ones' lines (in the cases 
where the lines & markers overlap.
*/
proc sort data=my_data out=my_data;
by descending distance;
run;

quit; run;

data my_anno; set my_data;
length function $8 color $12;
anno_flag=1;
xsys='2'; ysys='2'; hsys='3'; when='a';

x=atan(1)/45 * -1*origin_long;
y=atan(1)/45 * origin_lat;
function='move'; output;

x=atan(1)/45 * -1*dest_long;
y=atan(1)/45 * dest_lat;
function='draw'; size=.001; color='CXff0000'; output;

function='pie'; rotate=360; size=1.3;
color='white'; style='psolid'; output;
color='cx1b2e7d'; style='pempty'; href=''; output;

run;

data my_anno; set my_anno;
 if x^=. and y^=. then output;
run;




data my_map; set maps.counties (where=( (density<=3) and (fipstate(state) in ('NC'))));
run;

/* combine the map & markers, project it, then separate them again */
data combined; set my_map my_anno; 
run;
proc gproject data=combined out=combined dupok project=hammer;
  id state county;
run;
data my_map my_anno;
  set combined;
  if anno_flag=1 then output my_anno;
  else output my_map;
run;


/* do this *after* the gproject, or the long char variable will slow down the gproject */
data my_anno; set my_anno;
  length html $500;

/* only give the drilldown to the outer/empty circle of the dots */
if style='pempty' then do;
  /* if there's only 1 story in this city, link directly to it */
  if city_count = 1 then do;
   html='title='||quote(trim(left(city))||': '||'0d'x||trim(left(story_name)))||
    ' href="http://www.wral.com/lifestyles/outdoors/video/'||trim(left(wralvid))||'"';
   end;
  /* if there's more than 1 story, link to the html 'anchor' for a list of stories in that city */
  else do;
   html='title='||quote(trim(left(city))||': '||'0d'x||trim(left(city_count))||' stories')||
    ' href="#'||translate(trim(left(city)),'_',' ')||'"';
   end;
 end;

run;



/* annotate shadow behind map */
data shadow_anno; set my_map; 
by county segment notsorted;
length function color $8;    
xsys='2'; ysys='2'; when='B';
color="cx013a93"; size=1.75; style='msolid';
if first.county or first.segment then function='poly';
else function='polycont';
run;

/* slight offset, for shadow effect */
data shadow_anno; set shadow_anno;
x=x+1; y=y-1;
run;


data all_anno;  
 set shadow_anno my_anno;
run;


data anno_logo;
length function $8 style $35;
ysys='3'; xsys='3'; when='a';
function='move'; x=7; y=5; output;
function='image'; x=x+18; y=y+29; imgpath='./tht-logo-180x135.png'; style='fit'; output;
run;



/* Create the year labels w/ drilldown links, for the main/all map */
proc sql;
create table anno_years as
select unique yyyy as text from raw_data
order by yyyy descending;
quit; run;
data anno_years; set anno_years;
function='label'; position='5'; style='albany amt/bold'; color='white'; size=3.2;
xsys='3'; ysys='3'; hsys='3'; when='a';
x=93;
y=40-(_n_*3.9);
length html $300;
html=
 'title='||quote(trim(left(text))||' stories')||
 ' href='||quote('tar_heel_traveler_'||trim(left(text))||'.htm');
run;

data anno_logo_plus; set anno_logo anno_years;
run;



 
ODS LISTING CLOSE;
ODS HTML path=odsout body="&name..htm" 
 (title="WRAL TV5 - Tar Heel Traveler stories (SAS map)") 
 style=htmlblue;

pattern1 color=cxe8d6cc v=solid;

goptions gunit=pct htitle=5 htext=6 ftitle="albany amt/bold" ftext="albany amt/bold" ctext=grayee;

title1 a=90 h=.5pct " ";
title2 a=-90 h=.5pct " ";

footnote1 link="http://www.wral.com/lifestyles/travel/asset_gallery/3337071/"
    move=(+5,+0) ls=3.0 "Click Destinations to see Videos!";

proc gmap map=my_map data=my_map anno=all_anno;
id state county; 
choro state / levels=1 nolegend 
 coutline=cx968d86 coutline=graybb  
 anno=anno_logo_plus
 des='' name="&name";
run;

quit;
ODS HTML CLOSE;
ODS LISTING;
 


/*
For the table with links, I'm scripting out my own html.
I could easily use "proc print" to do a table with links,
but I'm wanting to stick a lot of space between the sections
of the table, and put in my own anchors at a very specific
location in the white-space ... just a personal preference
and look-n-feel and usability thing for this particular
example.
dest_zip wralvid story_name
*/


proc sort data=table_data out=table_data;
 by city dest_zip story_name;
run;

data table_data; set table_data;
 length link $ 300;
 link='http://www.wral.com/lifestyles/outdoors/video/'||trim(left(wralvid));
run;

data table_data; set table_data;
 length link $300 href $300 anchor $100;
 /* The google query doesn't like '&', so I'm changing those to spaces, in the href */
 href = 'href="' || trim(left(translate(link,' ','&'))) || '"';
 link = '<a ' || trim(href) || ' target="body">' || htmlencode(trim(story_name)) || '</a>';
 anchor = '<a name="' || translate(trim(left(city)),'_',' ') || '"></a>';
run;


filename mytable "./&name..htm" mod;
data _null_; set table_data end=last;
 by city;
 file mytable;

 if first.city then do;
  put "</br>";
  put "</br>";
  put "</br>";
  put anchor;
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "<table border='1'>";
  put "<th width='185px'>";
  put "City</th>";
  put "<th width='500px'>Click Link to see Story</th>";
 end;
 put "<tr>";
 put "<td>";
 put city;
 put "</td>";
 put "<td>";
 put link;
 put "</td>";
 put "<td>";
 put dest_zip;
 put "</td>";
 put "</tr>";
 if last.city then do;
  put "</table>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</body>";
  put "</html>";
 end;

run;
quit;


/* **************************************************************** */
/* now a macro to do it by year */
 
%macro do_year(year);

ODS LISTING CLOSE;
ODS HTML path=odsout body="&name._&year..htm" 
 (title="WRAL TV5 - Tar Heel Traveler &year stories (SAS Map)") 
 style=htmlblue;

data table_data; set raw_data (where=(yyyy="&year"));
run;

/* 
Count how many stories are in each city, and we also only 
need 1 unique obsn per each city.
*/
proc sql;
create table my_data as
select *, count(*) as city_count 
 from table_data 
 group by city
 order by city;
quit; run;

/* You only need to keep the first obsn for each city, to do the map */
data my_data; set my_data;
 by city;
 if first.city then output;
run;


/*
Sort them so that the farthest-away ones will be drawn first, 
and the closer ones drawn last.  That way, the closer ones 
will be "on top" of the farther ones' lines (in the cases 
where the lines & markers overlap.
*/
proc sort data=my_data out=my_data;
by descending distance;
run;

quit; run;

data my_anno; set my_data;
length function $8 color $12;
anno_flag=1;
xsys='2'; ysys='2'; hsys='3'; when='a';

x=atan(1)/45 * -1*origin_long;
y=atan(1)/45 * origin_lat;
function='move'; output;

x=atan(1)/45 * -1*dest_long;
y=atan(1)/45 * dest_lat;
function='draw'; size=.001; color='CXff0000'; output;

function='pie'; rotate=360; size=1.3;
color='white'; style='psolid'; output;
color='cx1b2e7d'; style='pempty'; href=''; output;

run;

data my_anno; set my_anno;
 if x^=. and y^=. then output;
run;




data my_map; set maps.counties (where=( (density<=3) and (fipstate(state) in ('NC'))));
run;

/* combine the map & markers, project it, then separate them again */
data combined; set my_map my_anno; 
run;
proc gproject data=combined out=combined dupok project=hammer;
  id state county;
run;
data my_map my_anno;
  set combined;
  if anno_flag=1 then output my_anno;
  else output my_map;
run;


/* do this *after* the gproject, or the long char variable will slow down the gproject */
data my_anno; set my_anno;
  length html $500;

/* only give the drilldown to the outer/empty circle of the dots */
if style='pempty' then do;
  /* if there's only 1 story in this city, link directly to it */
  if city_count = 1 then do;
   html='title='||quote(trim(left(city))||': '||'0d'x||trim(left(story_name)))||
    ' href="http://www.wral.com/lifestyles/outdoors/video/'||trim(left(wralvid))||'"';
   end;
  /* if there's more than 1 story, link to the html 'anchor' for a list of stories in that city */
  else do;
   html='title='||quote(trim(left(city))||': '||'0d'x||trim(left(city_count))||' stories')||
    ' href="#'||translate(trim(left(city)),'_',' ')||'"';
   end;
 end;

run;



/* annotate shadow behind map */
data shadow_anno; set my_map; 
by county segment notsorted;
length function color $8;    
xsys='2'; ysys='2'; when='B';
color="cx013a93"; size=1.75; style='msolid';
if first.county or first.segment then function='poly';
else function='polycont';
run;

/* slight offset, for shadow effect */
data shadow_anno; set shadow_anno;
x=x+1; y=y-1;
run;


data all_anno;  
 set shadow_anno my_anno;
run;


data anno_logo;
length function $8;
ysys='3'; xsys='3'; when='a';
function='move'; x=7; y=5; output;
function='image'; x=x+18; y=y+29; imgpath='./tht-logo-180x135.png'; style='fit'; output;
run;


























pattern1 color=cxe8d6cc v=solid;

goptions gunit=pct htitle=5 htext=6 ftitle="albany amt/bold" ftext="albany amt/bold" ctext=grayee;

title1 a=90 h=.5pct " ";
title2 a=-90 h=.5pct " ";

footnote1 link="http://www.wral.com/lifestyles/travel/asset_gallery/3337071/"
    move=(+5,+0) ls=3.0 "Click Destinations to see Videos!";

proc gmap map=my_map data=my_map anno=all_anno;
note move=(30,18) height=20 "&year";
id state county; 
choro state / levels=1 nolegend 
 coutline=cx968d86 coutline=graybb  
 anno=anno_logo
 des='' name="&name._&year";
run;

quit;
ODS HTML CLOSE;
ODS LISTING;
 


/*
For the table with links, I'm scripting out my own html.
I could easily use "proc print" to do a table with links,
but I'm wanting to stick a lot of space between the sections
of the table, and put in my own anchors at a very specific
location in the white-space ... just a personal preference
and look-n-feel and usability thing for this particular
example.
dest_zip wralvid story_name
*/


proc sort data=table_data out=table_data_year;
 by city dest_zip story_name;
run;

data table_data_year; set table_data_year;
 length link $ 300;
 link='http://www.wral.com/lifestyles/outdoors/video/'||trim(left(wralvid));
run;

data table_data_year; set table_data_year;
 length link $300 href $300 anchor $100;
 /* The google query doesn't like '&', so I'm changing those to spaces, in the href */
 href = 'href="' || trim(left(translate(link,' ','&'))) || '"';
 link = '<a ' || trim(href) || ' target="body">' || htmlencode(trim(story_name)) || '</a>';
 anchor = '<a name="' || translate(trim(left(city)),'_',' ') || '"></a>';
run;


filename mytable "./&name._&year..htm" mod;
data _null_; set table_data_year end=last;
 by city;
 file mytable;

 if first.city then do;
  put "</br>";
  put "</br>";
  put "</br>";
  put anchor;
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "<table border='1'>";
  put "<th width='185px'>";
  put "City</th>";
  put "<th width='500px'>Click Link to see Story</th>";
 end;
 put "<tr>";
 put "<td>";
 put city;
 put "</td>";
 put "<td>";
 put link;
 put "</td>";
 put "<td>";
 put dest_zip;
 put "</td>";
 put "</tr>";
 if last.city then do;
  put "</table>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</br>";
  put "</body>";
  put "</html>";
 end;

run;
quit;

%mend;

/*
%do_year(2007);
%do_year(2008);
%do_year(2009);
%do_year(2010);
%do_year(2011);
%do_year(2012);
%do_year(2013);
*/
%do_year(2014);

